Name:		poezio
Version:	0.6.2
Release:	%mkrel 3
Summary:	IRC-like jabber (XMPP) console client

Group:		Networking/Instant messaging
License:	GPLv3
URL:		http://poezio.eu
Source0:	http://codingteam.net/project/%{name}/download/file/%{name}-%{version}.tar.xz
Buildarch:	noarch

BuildRequires:	pkgconfig(python)

Requires:	python-xmpp >= 0.5.0

%description
A jabber (XMPP) console client that aims at being similar to popular IRC
clients such as Irssi or Weechat. Its main goal is to let the user
connect to the Jabber network and join chat rooms without requiring any
registration.

%prep
%setup -q


%build
# Nothing needs to be compiled, python only software
%{nil}


%install
rm -rf %{buildroot}
# create directories
mkdir -p %{buildroot}%{_datadir}/%{name}/data
mkdir -p %{buildroot}%{_datadir}/%{name}/src
mkdir -p %{buildroot}%{_bindir}

# install data files
install -p -m644 data/* %{buildroot}%{_datadir}/%{name}/data/

# install sources files
install -p -m644 src/*.py %{buildroot}%{_datadir}/%{name}/src/

# remove shebangs in non-executable files
# will be fixed upstream in next release
# http://codingteam.net/project/poezio/bugs/show/1669
for lib in %{buildroot}%{_datadir}/%{name}/src/*.py; do
    sed '/^\#\!\/usr\/bin\//d' $lib > $lib.new &&
    touch -r $lib $lib.new
    mv $lib.new $lib
done

# create launcher
cat > %{buildroot}%{_bindir}/%{name} <<EOF
#!/usr/bin/env sh
cd %{_datadir}/poezio/src/ && python poezio.py
EOF

chmod 755 %{buildroot}%{_bindir}/%{name}

%files
%doc CHANGELOG COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}/


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.6.2-3.mga3
+ Revision: 378018
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 malo <malo> 0.6.2-2.mga3
+ Revision: 310340
- update RPM group

* Wed Aug 01 2012 shlomif <shlomif> 0.6.2-1.mga3
+ Revision: 277247
- Change to mkrel
- Imported from fedya

